#!/bin/sh
#
# DEPENDENCIAS:
# jre-1_5_0_03
# jpackage-utils-1.5.39-1jpp
# java-1.4.2-sun-compat-1.4.2.05-2jpp
# xml-commons-1.0-0.b2.6jpp
# xml-commons-resolver-1.1-2jpp.noarch.rpm
# xml-commons-apis-1.0-0.b2.6jpp
# xerces-j2-2.6.2-3jpp
# jta-1.0.1a-1.noarch
# mysql-connector-java-3.0.11-1jpp
# log4j-1.2.8-7jpp
#
# pool:
# jakarta-commons-collections-2.1.1-1jpp
# jakarta-commons-pool-1.2-1jpp
# jakarta-commons-dbcp-1.2.1-1jpp

# Configuration
##  JVM lookup
JASTSERV_CLASS='uy.com.ipcontact.jastserv.JastServ'

if [ -z "$JAVA_HOME" ]; then 
    JAVA_HOME="/usr/lib/jvm/jre"
fi
JAVA_EXEC="${JAVA_HOME}/bin/java"

if [ -z "$JAVA_OPTS" ]; then
    JAVA_OPTS="-Djdbc.drivers=com.mysql.jdbc.Driver:org.apache.commons.dbcp.PoolingDriver"
fi
JASTSERV_OPTS="-server ${JAVA_OPTS}"

if [ -z "$JASTSERV_CFG" ]; then
	JASTSERV_CFG="/etc/ipcontact/jastserv.properties"
fi

if [ -z "$JASTSERV_PID" ] ; then
    JASTSERV_PID="/var/run/jastserv.pid"
fi

if [ -z "$JASTSERV_LOGDIR" ]; then
    JASTSERV_LOGDIR="/var/log/ipcontact"
fi
if [ ! -d ${JASTSERV_LOGDIR} ]; then	
    install -d -m 775 ${JASTSERV_LOGDIR} >& /dev/null
fi
if [ ! -w ${JASTSERV_LOGDIR} ]; then	
    echo "Cannot write to ${JASTSERV_LOGDIR}" >&2
    exit 1
fi


# Set standard CLASSPATH
CLASSPATH="${JAVA_HOME}/lib/tools.jar"
# Add on extra jar files to CLASSPATH
CLASSPATH="$CLASSPATH":`/usr/bin/build-classpath commons-collections commons-pool commons-dbcp`
CLASSPATH="$CLASSPATH":`/usr/bin/build-classpath xml-commons-apis xerces-j2 mysql-connector-java log4j`
# SNMP
if [ -e /usr/share/java/jastserv_snmp.jar ]
then
    CLASSPATH="$CLASSPATH":`/usr/bin/build-classpath jastserv_snmp snmp4j snmp4j-agent snmp4j-agentx`
fi
if [ -e /usr/share/java/ipcontact/ipcontactMini.jar ]
then
    CLASSPATH="$CLASSPATH":`/usr/bin/build-classpath jsch`
fi
CLASSPATH="$CLASSPATH":`/usr/bin/build-classpath jastserv`:"/etc/ipcontact"
